Bug 214384 - kimgio crashes during import of large collection
Summary: kimgio crashes during import of large collection
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kimgio (show other bugs)
Version: 4.3
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-13 13:53 UTC by rene
Modified: 2018-08-26 12:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
test file (8.39 KB, image/x-xcf)
2009-11-17 00:16 UTC, rene
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rene 2009-11-13 13:53:49 UTC
Application that crashed: digikam
Version of the application: 1.0.0-beta6
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-15-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Importing a large collection of images crashes digikam.

steps to reproduce: (german)
* select Einstellungen->digikam einrichten
* select Sammlungen
* click on Sammlung hinzufügen
* now select a folder with a large collection of photos
* click ok
* click ok
* import dialogue is shown, wait until crash

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb778b700 (LWP 5020))]

Thread 15 (Thread 0xb604cb70 (LWP 5033)):
[KCrash Handler]
#6  memcpy () at ../sysdeps/i386/i686/memcpy.S:75
#7  0x084aaf00 in typeinfo for Digikam::ThumbBarItem ()
#8  0x07b921ea in QVectorData::malloc (sizeofTypedData=28, size=2729, sizeofT=12, init=0x0) at /usr/include/bits/string3.h:52
#9  0x02065f2f in QVector<QImage>::realloc (this=0x95796048, asize=2304, aalloc=2729) at /usr/include/qt4/QtCore/qvector.h:455
#10 0x02066450 in QVector<QImage>::resize (this=0x95796048, asize=2304) at /usr/include/qt4/QtCore/qvector.h:321
#11 0x0205d006 in XCFImageFormat::composeTiles (this=0xb604b79f, xcf_image=...) at ../../kimgio/xcf.cpp:495
#12 0x02064c7d in XCFImageFormat::loadLayer (this=0xb604b79f, xcf_io=..., xcf_image=...) at ../../kimgio/xcf.cpp:362
#13 0x02065617 in XCFImageFormat::readXCF (this=0xb604b79f, device=0xa3c53478, outImage=0xb604b8a4) at ../../kimgio/xcf.cpp:156
#14 0x02065c00 in XCFHandler::read (this=0xa3c8dc98, image=0xb604b8a4) at ../../kimgio/xcf.cpp:2308
#15 0x02f5088c in QImageReader::read (this=0xb604b908, image=0xb604b8a4) at image/qimagereader.cpp:1077
#16 0x02f50e37 in QImageReader::read (this=0xb604b908) at image/qimagereader.cpp:1027
#17 0x02f42d32 in QImage::load (this=0xb604b9ec, fileName=..., format=0x0) at image/qimage.cpp:4566
#18 0x02f42faa in QImage (this=0xb604b9ec, fileName=..., format=0x0) at image/qimage.cpp:1013
#19 0x05d2da0a in Digikam::QImageLoader::load (this=0xb604bc80, filePath=..., observer=0x0) at /build/buildd/digikam-1.0.0~beta6/libs/dimg/loaders/qimageloader.cpp:54
#20 0x05d11625 in Digikam::DImg::load (this=0xb604bfa8, filePath=..., loadFlagsInt=1, observer=0x0, rawDecodingSettings=...) at /build/buildd/digikam-1.0.0~beta6/libs/dimg/dimg.cpp:490
#21 0x05d13277 in Digikam::DImg::loadImageInfo (this=0xb604bfa8, filePath=..., loadMetadata=false, loadICCData=false, loadUniqueHash=false) at /build/buildd/digikam-1.0.0~beta6/libs/dimg/dimg.cpp:339
#22 0x006dc125 in Digikam::ImageScanner::loadFromDisk (this=0xb604bf98) at /build/buildd/digikam-1.0.0~beta6/libs/database/imagescanner.cpp:533
#23 0x006e2072 in Digikam::ImageScanner::newFile (this=0xb604bf98, albumId=245) at /build/buildd/digikam-1.0.0~beta6/libs/database/imagescanner.cpp:89
#24 0x0068d5b4 in Digikam::CollectionScanner::scanNewFile (this=0xb604c2f0, info=..., albumId=245) at /build/buildd/digikam-1.0.0~beta6/libs/database/collectionscanner.cpp:732
#25 0x0068ef57 in Digikam::CollectionScanner::scanAlbum (this=0xb604c2f0, location=..., album=...) at /build/buildd/digikam-1.0.0~beta6/libs/database/collectionscanner.cpp:647
#26 0x0068ee70 in Digikam::CollectionScanner::scanAlbum (this=0xb604c2f0, location=..., album=...) at /build/buildd/digikam-1.0.0~beta6/libs/database/collectionscanner.cpp:665
#27 0x0068f747 in Digikam::CollectionScanner::scanAlbumRoot (this=0xb604c2f0, location=...) at /build/buildd/digikam-1.0.0~beta6/libs/database/collectionscanner.cpp:461
#28 0x0068fa7f in Digikam::CollectionScanner::completeScan (this=0xb604c2f0) at /build/buildd/digikam-1.0.0~beta6/libs/database/collectionscanner.cpp:234
#29 0x08312576 in Digikam::ScanController::run (this=0x8c55608) at /build/buildd/digikam-1.0.0~beta6/digikam/scancontroller.cpp:523
#30 0x07b3ce32 in QThreadPrivate::start (arg=0x8c55608) at thread/qthread_unix.cpp:188
#31 0x0089c80e in start_thread (arg=0xb604cb70) at pthread_create.c:300
#32 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 14 (Thread 0xb5823b70 (LWP 5038)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x01a57ba6 in *__GI___poll (fds=0x1ad8ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x016c253b in g_poll () from /lib/libglib-2.0.so.0
#3  0x016b555b in ?? () from /lib/libglib-2.0.so.0
#4  0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x07c58067 in QEventDispatcherGlib::processEvents (this=0x8cd7cb0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x07c2bc79 in QEventLoop::processEvents (this=0xb58232e4, flags=) at kernel/qeventloop.cpp:149
#7  0x07c2c0ca in QEventLoop::exec (this=0xb58232e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x07b39b73 in QThread::exec (this=0x8d30b20) at thread/qthread.cpp:487
#9  0x0070abfd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#10 0x07b3ce32 in QThreadPrivate::start (arg=0x8d30b20) at thread/qthread_unix.cpp:188
#11 0x0089c80e in start_thread (arg=0xb5823b70) at pthread_create.c:300
#12 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0xb4467b70 (LWP 5039)):
#0  0x00bfae06 in *__GI_clock_gettime (clock_id=12578804, tp=0xb4467028) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07c59bf3 in QTimerInfoList::getTime (this=0x8d475f4, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x07c59de1 in QTimerInfoList::updateCurrentTime (this=0x8d475f4) at kernel/qeventdispatcher_unix.cpp:297
#3  0x07c5a88c in QTimerInfoList::timerWait (this=0x8d475f4, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x07c58210 in timerSourcePrepare (source=0x8d475c0, timeout=0xb446711c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x016b4f80 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x016b5341 in ?? () from /lib/libglib-2.0.so.0
#7  0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07c58067 in QEventDispatcherGlib::processEvents (this=0x8cadd78, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x07c2bc79 in QEventLoop::processEvents (this=0xb44672e4, flags=) at kernel/qeventloop.cpp:149
#10 0x07c2c0ca in QEventLoop::exec (this=0xb44672e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x07b39b73 in QThread::exec (this=0x8cde180) at thread/qthread.cpp:487
#12 0x0070abfd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x07b3ce32 in QThreadPrivate::start (arg=0x8cde180) at thread/qthread_unix.cpp:188
#14 0x0089c80e in start_thread (arg=0xb4467b70) at pthread_create.c:300
#15 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xb3affb70 (LWP 5040)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a0e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01a7278d in __pthread_cond_wait (cond=0x8e81420, mutex=0x8e81408) at forward.c:139
#3  0x07b3de67 in QWaitConditionPrivate::wait (this=0x8e80f18, mutex=0x8e80f14, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8e80f18, mutex=0x8e80f14, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05ddf39a in Digikam::LoadSaveThread::run (this=0x8e80f08) at /build/buildd/digikam-1.0.0~beta6/libs/threadimageio/loadsavethread.cpp:132
#6  0x07b3ce32 in QThreadPrivate::start (arg=0x8e80f08) at thread/qthread_unix.cpp:188
#7  0x0089c80e in start_thread (arg=0xb3affb70) at pthread_create.c:300
#8  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
The current source language is "auto; currently c".

Thread 11 (Thread 0xb32feb70 (LWP 5041)):
#0  0x00bfae06 in *__GI_clock_gettime (clock_id=12578804, tp=0xb32fe048) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07c59bf3 in QTimerInfoList::getTime (this=0x8e8d4b4, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x07c59de1 in QTimerInfoList::updateCurrentTime (this=0x8e8d4b4) at kernel/qeventdispatcher_unix.cpp:297
#3  0x07c5a88c in QTimerInfoList::timerWait (this=0x8e8d4b4, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x07c58210 in timerSourcePrepare (source=0x8e8d480, timeout=0xb32fe13c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x016b4f80 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x016b5341 in ?? () from /lib/libglib-2.0.so.0
#7  0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07c58067 in QEventDispatcherGlib::processEvents (this=0x8e8c000, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x07c2bc79 in QEventLoop::processEvents (this=0xb32fe304, flags=) at kernel/qeventloop.cpp:149
#10 0x07c2c0ca in QEventLoop::exec (this=0xb32fe304, flags=...) at kernel/qeventloop.cpp:201
#11 0x07b39b73 in QThread::exec (this=0x8e8b0a0) at thread/qthread.cpp:487
#12 0x07b3ce32 in QThreadPrivate::start (arg=0x8e8b0a0) at thread/qthread_unix.cpp:188
#13 0x0089c80e in start_thread (arg=0xb32feb70) at pthread_create.c:300
#14 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xb2afdb70 (LWP 5042)):
#0  0x00bfae06 in *__GI_clock_gettime (clock_id=12578804, tp=0xb2afd048) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07c59bf3 in QTimerInfoList::getTime (this=0x8e8e184, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x07c59de1 in QTimerInfoList::updateCurrentTime (this=0x8e8e184) at kernel/qeventdispatcher_unix.cpp:297
#3  0x07c5a88c in QTimerInfoList::timerWait (this=0x8e8e184, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x07c58210 in timerSourcePrepare (source=0x8e8e150, timeout=0xb2afd13c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x016b4f80 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x016b5341 in ?? () from /lib/libglib-2.0.so.0
#7  0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07c58067 in QEventDispatcherGlib::processEvents (this=0x8e8bb90, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x07c2bc79 in QEventLoop::processEvents (this=0xb2afd304, flags=) at kernel/qeventloop.cpp:149
#10 0x07c2c0ca in QEventLoop::exec (this=0xb2afd304, flags=...) at kernel/qeventloop.cpp:201
#11 0x07b39b73 in QThread::exec (this=0x8e8bca8) at thread/qthread.cpp:487
#12 0x07b3ce32 in QThreadPrivate::start (arg=0x8e8bca8) at thread/qthread_unix.cpp:188
#13 0x0089c80e in start_thread (arg=0xb2afdb70) at pthread_create.c:300
#14 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb22fcb70 (LWP 5043)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a0e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01a7278d in __pthread_cond_wait (cond=0xb3b04568, mutex=0xb3b04550) at forward.c:139
#3  0x07b3de67 in QWaitConditionPrivate::wait (this=0xb3b098e0, mutex=0xb3b098dc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb3b098e0, mutex=0xb3b098dc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05ddf39a in Digikam::LoadSaveThread::run (this=0xb3b098d0) at /build/buildd/digikam-1.0.0~beta6/libs/threadimageio/loadsavethread.cpp:132
#6  0x07b3ce32 in QThreadPrivate::start (arg=0xb3b098d0) at thread/qthread_unix.cpp:188
#7  0x0089c80e in start_thread (arg=0xb22fcb70) at pthread_create.c:300
#8  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xafd9cb70 (LWP 5061)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a1142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x01a727e4 in __pthread_cond_timedwait (cond=0x8f5f2b8, mutex=0x8f5f2a0, abstime=0xafd9c330) at forward.c:152
#3  0x029999ff in ?? () from /usr/lib/libxine.so.1
#4  0x0089c80e in start_thread (arg=0xafd9cb70) at pthread_create.c:300
#5  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xae98fb70 (LWP 5065)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x01a57ba6 in *__GI___poll (fds=0x1ad8ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x0175ad80 in ?? () from /usr/lib/libxcb.so.1
#3  0x0175b2eb in ?? () from /usr/lib/libxcb.so.1
#4  0x0175b489 in ?? () from /usr/lib/libxcb.so.1
#5  0x0175ca70 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#6  0x0176712b in xcb_intern_atom_reply () from /usr/lib/libxcb.so.1
#7  0x02455735 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_vo_out_xcbxv.so
#8  0x029a5323 in ?? () from /usr/lib/libxine.so.1
#9  0x0299d15e in xine_close_video_driver () from /usr/lib/libxine.so.1
#10 0x024b8c7a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#11 0x0247a498 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#12 0x0247a651 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x07c3c135 in qDeleteInEventHandler (o=0x1) at kernel/qobject.cpp:3815
#14 0x07c3d62b in QObject::event (this=0x8c17d38, e=0x8eeb880) at kernel/qobject.cpp:1094
#15 0x0247a40c in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#16 0x02e8ff54 in QApplicationPrivate::notify_helper (this=0x8aa1ce8, receiver=0x8c17d38, e=0x8eeb880) at kernel/qapplication.cpp:4056
#17 0x02e9767c in QApplication::notify (this=0xbf81fbe8, receiver=0x8c17d38, e=0x8eeb880) at kernel/qapplication.cpp:3603
#18 0x053f6bfa in KApplication::notify (this=0xbf81fbe8, receiver=0x8c17d38, event=0x8eeb880) at ../../kdeui/kernel/kapplication.cpp:302
#19 0x07c2d6cb in QCoreApplication::notifyInternal (this=0xbf81fbe8, receiver=0x8c17d38, event=0x8eeb880) at kernel/qcoreapplication.cpp:610
#20 0x07c2e2b2 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x93762b8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x93762b8) at kernel/qcoreapplication.cpp:1247
#22 0x07c2e47d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#23 0x07c583ff in QCoreApplication::sendPostedEvents (s=0x9379010) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#24 postEventSourceDispatch (s=0x9379010) at kernel/qeventdispatcher_glib.cpp:210
#25 0x016b1e78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#26 0x016b5720 in ?? () from /lib/libglib-2.0.so.0
#27 0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#28 0x07c5802c in QEventDispatcherGlib::processEvents (this=0x8c68c60, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#29 0x07c2bc79 in QEventLoop::processEvents (this=0xae98f2b4, flags=) at kernel/qeventloop.cpp:149
#30 0x07c2c0ca in QEventLoop::exec (this=0xae98f2b4, flags=...) at kernel/qeventloop.cpp:201
#31 0x07b39b73 in QThread::exec (this=0x9378140) at thread/qthread.cpp:487
#32 0x0247c20a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#33 0x07b3ce32 in QThreadPrivate::start (arg=0x9378140) at thread/qthread_unix.cpp:188
#34 0x0089c80e in start_thread (arg=0xae98fb70) at pthread_create.c:300
#35 0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xaa183b70 (LWP 5074)):
#0  0x02a84090 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
#1  0x03b7d71b in pa_mainloop_dispatch () from /usr/lib/libpulse.so.0
#2  0x03b7dc31 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#3  0x03b7dcf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#4  0x03b8ebc3 in ?? () from /usr/lib/libpulse.so.0
#5  0x02aa8ac2 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
#6  0x0089c80e in start_thread (arg=0xaa183b70) at pthread_create.c:300
#7  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa9982b70 (LWP 5075)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x01a57ba6 in *__GI___poll (fds=0x1ad8ff4, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x07f9dc3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x0089c80e in start_thread (arg=0xa9982b70) at pthread_create.c:300
#4  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa9181b70 (LWP 5076)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a0e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01a7278d in __pthread_cond_wait (cond=0x9391748, mutex=0x9391730) at forward.c:139
#3  0x029aa5ee in ?? () from /usr/lib/libxine.so.1
#4  0x0089c80e in start_thread (arg=0xa9181b70) at pthread_create.c:300
#5  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa8980b70 (LWP 5090)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a0e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01a7278d in __pthread_cond_wait (cond=0x984c790, mutex=0x984c778) at forward.c:139
#3  0x07b3de67 in QWaitConditionPrivate::wait (this=0x95c6c00, mutex=0x95c6bfc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x95c6c00, mutex=0x95c6bfc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05ddf39a in Digikam::LoadSaveThread::run (this=0x95c6bf0) at /build/buildd/digikam-1.0.0~beta6/libs/threadimageio/loadsavethread.cpp:132
#6  0x07b3ce32 in QThreadPrivate::start (arg=0x95c6bf0) at thread/qthread_unix.cpp:188
#7  0x0089c80e in start_thread (arg=0xa8980b70) at pthread_create.c:300
#8  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa4dffb70 (LWP 5103)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a0e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01a7278d in __pthread_cond_wait (cond=0xa1a3a00, mutex=0xa1a39e8) at forward.c:139
#3  0x07b3de67 in QWaitConditionPrivate::wait (this=0xa19ca28, mutex=0xa19ca24, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa19ca28, mutex=0xa19ca24, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x05ddf39a in Digikam::LoadSaveThread::run (this=0xa19ca18) at /build/buildd/digikam-1.0.0~beta6/libs/threadimageio/loadsavethread.cpp:132
#6  0x07b3ce32 in QThreadPrivate::start (arg=0xa19ca18) at thread/qthread_unix.cpp:188
#7  0x0089c80e in start_thread (arg=0xa4dffb70) at pthread_create.c:300
#8  0x01a657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb778b700 (LWP 5020)):
#0  0x00a80422 in __kernel_vsyscall ()
#1  0x008a1142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x01a727e4 in __pthread_cond_timedwait (cond=0xbf81acd4, mutex=0xbf81ad04, abstime=0xbf81ad50) at forward.c:152
#3  0x07b3c81e in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:297
#4  0x07b3c973 in QThread::msleep (msecs=200) at thread/qthread_unix.cpp:323
#5  0x024a29c4 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#6  0x00d832df in ~FactoryPrivate (this=0x8c7a498, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/factory.cpp:199
#7  0x00d81da5 in destroy () at ../3rdparty/phonon/phonon/factory.cpp:84
#8  0x00d7f47b in ~CleanUpGlobalStatic (this=0xda43f0, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/globalstatic_p.h:55
#9  0x019c805f in __run_exit_handlers (status=1, listp=0x1ad9304, run_list_atexit=true) at exit.c:78
#10 0x019c80cf in *__GI_exit (status=1) at exit.c:100
#11 0x01c9d610 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#12 0x053f654a in KApplication::xioErrhandler (this=0xbf81fbe8, dpy=0x8abdad0) at ../../kdeui/kernel/kapplication.cpp:408
#13 0x053f6586 in kde_xio_errhandler (dpy=0x8abdad0) at ../../kdeui/kernel/kapplication.cpp:125
#14 0x0780b2e6 in _XIOError () from /usr/lib/libX11.so.6
#15 0x07812f8a in ?? () from /usr/lib/libX11.so.6
#16 0x078138c6 in _XEventsQueued () from /usr/lib/libX11.so.6
#17 0x077fc5ff in XEventsQueued () from /usr/lib/libX11.so.6
#18 0x02f30db5 in x11EventSourceCheck (s=0x8aa4f00) at kernel/qguieventdispatcher_glib.cpp:87
#19 0x016b4cc1 in g_main_context_check () from /lib/libglib-2.0.so.0
#20 0x016b546c in ?? () from /lib/libglib-2.0.so.0
#21 0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x07c5802c in QEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#23 0x02f30be5 in QGuiEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x07c2bc79 in QEventLoop::processEvents (this=0x8c32768, flags=) at kernel/qeventloop.cpp:149
#25 0x07c2c0ca in QEventLoop::exec (this=0x8c32768, flags=...) at kernel/qeventloop.cpp:201
#26 0x083136bc in Digikam::ScanController::completeCollectionScan (this=0x8c55608, splash=0x0) at /build/buildd/digikam-1.0.0~beta6/digikam/scancontroller.cpp:376
#27 0x080e1f78 in Digikam::SetupCollectionModel::apply (this=0xb0808d0) at /build/buildd/digikam-1.0.0~beta6/utilities/setup/setupcollectionview.cpp:472
#28 0x080dce5b in Digikam::SetupCollections::applySettings (this=0xaf93438) at /build/buildd/digikam-1.0.0~beta6/utilities/setup/setupcollections.cpp:190
#29 0x080eb65a in Digikam::Setup::slotOkClicked (this=0xabeee58) at /build/buildd/digikam-1.0.0~beta6/utilities/setup/setup.cpp:372
#30 0x080eb9a3 in Digikam::Setup::qt_metacall (this=0xabeee58, _c=QMetaObject::InvokeMetaMethod, _id=75, _a=0xbf81b56c) at /build/buildd/digikam-1.0.0~beta6/obj-i486-linux-gnu/digikam/setup.moc:66
#31 0x07c43263 in QMetaObject::activate (sender=0xabeee58, from_signal_index=45, to_signal_index=45, argv=0x0) at kernel/qobject.cpp:3113
#32 0x07c43ec2 in QMetaObject::activate (sender=0xabeee58, m=0x84ab90c, local_signal_index=9, argv=0x0) at kernel/qobject.cpp:3187
#33 0x0535b4d7 in KDialog::okClicked (this=0xabeee58) at ./kdialog.moc:252
#34 0x0535dde8 in KDialog::slotButtonClicked (this=0xabeee58, button=4) at ../../kdeui/dialogs/kdialog.cpp:853
#35 0x05360319 in KDialog::qt_metacall (this=0xabeee58, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbf81b798) at ./kdialog.moc:184
#36 0x05427c6a in KPageDialog::qt_metacall (this=0xabeee58, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbf81b798) at ./kpagedialog.moc:64
#37 0x080eb98c in Digikam::Setup::qt_metacall (this=0xabeee58, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbf81b798) at /build/buildd/digikam-1.0.0~beta6/obj-i486-linux-gnu/digikam/setup.moc:61
#38 0x07c43263 in QMetaObject::activate (sender=0xa253bd8, from_signal_index=4, to_signal_index=4, argv=0xbf81b798) at kernel/qobject.cpp:3113
#39 0x07c43ec2 in QMetaObject::activate (sender=0xa253bd8, m=0x7d1d878, local_signal_index=0, argv=0xbf81b798) at kernel/qobject.cpp:3187
#40 0x07c45e73 in QSignalMapper::mapped (this=0xa253bd8, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:95
#41 0x07c4670d in QSignalMapper::map (this=0xa253bd8, sender=0xb026610) at kernel/qsignalmapper.cpp:266
#42 0x07c468ee in QSignalMapper::map (this=0xa253bd8) at kernel/qsignalmapper.cpp:257
#43 0x07c4712b in QSignalMapper::qt_metacall (this=0xa253bd8, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbf81b968) at .moc/release-shared/moc_qsignalmapper.cpp:81
#44 0x07c43263 in QMetaObject::activate (sender=0xb026610, from_signal_index=29, to_signal_index=30, argv=0xbf81b968) at kernel/qobject.cpp:3113
#45 0x07c436d8 in QMetaObject::activate (sender=0xb026610, m=0x37030a4, from_local_signal_index=2, to_local_signal_index=3, argv=0xbf81b968) at kernel/qobject.cpp:3207
#46 0x0351ccc1 in QAbstractButton::clicked (this=0xb026610, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:200
#47 0x03245549 in QAbstractButtonPrivate::emitClicked (this=0xb095060) at widgets/qabstractbutton.cpp:543
#48 0x032471a4 in QAbstractButtonPrivate::click (this=0xb095060) at widgets/qabstractbutton.cpp:536
#49 0x03247431 in QAbstractButton::mouseReleaseEvent (this=0xb026610, e=0xbf81bf60) at widgets/qabstractbutton.cpp:1115
#50 0x02ee5012 in QWidget::event (this=0xb026610, event=0xbf81bf60) at kernel/qwidget.cpp:7549
#51 0x032453ee in QAbstractButton::event (this=0xb026610, e=0x1) at widgets/qabstractbutton.cpp:1077
#52 0x032ef66d in QPushButton::event (this=0xb026610, e=0xbf81bf60) at widgets/qpushbutton.cpp:662
#53 0x02e8ff54 in QApplicationPrivate::notify_helper (this=0x8aa1ce8, receiver=0xb026610, e=0xbf81bf60) at kernel/qapplication.cpp:4056
#54 0x02e98033 in QApplication::notify (this=0xbf81fbe8, receiver=0xb026610, e=0xbf81bf60) at kernel/qapplication.cpp:3758
#55 0x053f6bfa in KApplication::notify (this=0xbf81fbe8, receiver=0xb026610, event=0xbf81bf60) at ../../kdeui/kernel/kapplication.cpp:302
#56 0x07c2d6cb in QCoreApplication::notifyInternal (this=0xbf81fbe8, receiver=0xb026610, event=0xbf81bf60) at kernel/qcoreapplication.cpp:610
#57 0x02e96f6e in QCoreApplication::sendSpontaneousEvent (receiver=0xb026610, event=0xbf81bf60, alienWidget=0xb026610, nativeWidget=0xabeee58, buttonDown=0x370aaa0, lastMouseReceiver=...)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#58 QApplicationPrivate::sendMouseEvent (receiver=0xb026610, event=0xbf81bf60, alienWidget=0xb026610, nativeWidget=0xabeee58, buttonDown=0x370aaa0, lastMouseReceiver=...)
    at kernel/qapplication.cpp:2924
#59 0x02f057c0 in QETWidget::translateMouseEvent (this=0xabeee58, event=0xbf81d5ac) at kernel/qapplication_x11.cpp:4409
#60 0x02f04c4b in QApplication::x11ProcessEvent (this=0xbf81fbe8, event=0xbf81d5ac) at kernel/qapplication_x11.cpp:3428
#61 0x02f31502 in x11EventSourceDispatch (s=0x8aa4f00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#62 0x016b1e78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#63 0x016b5720 in ?? () from /lib/libglib-2.0.so.0
#64 0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#65 0x07c5802c in QEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#66 0x02f30be5 in QGuiEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#67 0x07c2bc79 in QEventLoop::processEvents (this=0xbf81d8a0, flags=) at kernel/qeventloop.cpp:149
#68 0x07c2c0ca in QEventLoop::exec (this=0xbf81d8a0, flags=...) at kernel/qeventloop.cpp:201
#69 0x0337cd53 in QDialog::exec (this=0xabeee58) at dialogs/qdialog.cpp:498
#70 0x080edf70 in Digikam::Setup::exec (parent=0x8c8ccc8, page=Digikam::Setup::LastPageUsed) at /build/buildd/digikam-1.0.0~beta6/utilities/setup/setup.cpp:339
#71 0x0829a099 in Digikam::DigikamApp::setup (this=0x8c8ccc8) at /build/buildd/digikam-1.0.0~beta6/digikam/digikamapp.cpp:2113
#72 0x082b773d in Digikam::DigikamApp::slotSetup (this=0x8c8ccc8, _c=QMetaObject::InvokeMetaMethod, _id=-516, _a=0xbf81da98) at /build/buildd/digikam-1.0.0~beta6/digikam/digikamapp.cpp:2108
#73 Digikam::DigikamApp::qt_metacall (this=0x8c8ccc8, _c=QMetaObject::InvokeMetaMethod, _id=-516, _a=0xbf81da98) at /build/buildd/digikam-1.0.0~beta6/obj-i486-linux-gnu/digikam/digikamapp.moc:216
#74 0x07c43263 in QMetaObject::activate (sender=0x9bcce68, from_signal_index=5, to_signal_index=6, argv=0xbf81da98) at kernel/qobject.cpp:3113
#75 0x07c436d8 in QMetaObject::activate (sender=0x9bcce68, m=0x84abbd0, from_local_signal_index=1, to_local_signal_index=2, argv=0xbf81da98) at kernel/qobject.cpp:3207
#76 0x02e899b1 in QAction::triggered (this=0x9bcce68, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
#77 0x02e8af32 in QAction::activate (this=0x9bcce68, event=QAction::Trigger) at kernel/qaction.cpp:1160
#78 0x032d89cc in QMenuPrivate::activateCausedStack (this=0xa920ae0, causedStack=..., action=0x9bcce68, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:967
#79 0x032df03b in QMenuPrivate::activateAction (this=0xa920ae0, action=0x9bcce68, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1060
#80 0x032dfbf7 in QMenu::mouseReleaseEvent (this=0xa9247b0, e=0xbf81e1f0) at widgets/qmenu.cpp:2254
#81 0x054e11c5 in KMenu::mouseReleaseEvent (this=0xa9247b0, e=0xbf81e1f0) at ../../kdeui/widgets/kmenu.cpp:456
#82 0x02ee5012 in QWidget::event (this=0xa9247b0, event=0xbf81e1f0) at kernel/qwidget.cpp:7549
#83 0x032e1e34 in QMenu::event (this=0xa9247b0, e=0xbf81e1f0) at widgets/qmenu.cpp:2353
#84 0x02e8ff54 in QApplicationPrivate::notify_helper (this=0x8aa1ce8, receiver=0xa9247b0, e=0xbf81e1f0) at kernel/qapplication.cpp:4056
#85 0x02e98033 in QApplication::notify (this=0xbf81fbe8, receiver=0xa9247b0, e=0xbf81e1f0) at kernel/qapplication.cpp:3758
#86 0x053f6bfa in KApplication::notify (this=0xbf81fbe8, receiver=0xa9247b0, event=0xbf81e1f0) at ../../kdeui/kernel/kapplication.cpp:302
#87 0x07c2d6cb in QCoreApplication::notifyInternal (this=0xbf81fbe8, receiver=0xa9247b0, event=0xbf81e1f0) at kernel/qcoreapplication.cpp:610
#88 0x02e96f6e in QCoreApplication::sendSpontaneousEvent (receiver=0xa9247b0, event=0xbf81e1f0, alienWidget=0x0, nativeWidget=0xa9247b0, buttonDown=0x370aaa0, lastMouseReceiver=...)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#89 QApplicationPrivate::sendMouseEvent (receiver=0xa9247b0, event=0xbf81e1f0, alienWidget=0x0, nativeWidget=0xa9247b0, buttonDown=0x370aaa0, lastMouseReceiver=...) at kernel/qapplication.cpp:2924
#90 0x02f05c87 in QETWidget::translateMouseEvent (this=0xa9247b0, event=0xbf81f83c) at kernel/qapplication_x11.cpp:4343
#91 0x02f04c4b in QApplication::x11ProcessEvent (this=0xbf81fbe8, event=0xbf81f83c) at kernel/qapplication_x11.cpp:3428
#92 0x02f31502 in x11EventSourceDispatch (s=0x8aa4f00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#93 0x016b1e78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#94 0x016b5720 in ?? () from /lib/libglib-2.0.so.0
#95 0x016b5853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#96 0x07c5802c in QEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#97 0x02f30be5 in QGuiEventDispatcherGlib::processEvents (this=0x8a7be80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#98 0x07c2bc79 in QEventLoop::processEvents (this=0xbf81fb34, flags=) at kernel/qeventloop.cpp:149
#99 0x07c2c0ca in QEventLoop::exec (this=0xbf81fb34, flags=...) at kernel/qeventloop.cpp:201
#100 0x07c2e53f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#101 0x02e8fdd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#102 0x083af6db in main (argc=5, argv=0xbf820054) at /build/buildd/digikam-1.0.0~beta6/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 Dario Andres 2009-11-14 16:04:16 UTC
*** Bug 214418 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2009-11-15 23:22:43 UTC
Rene, is it possible you could attach the .xcf file that causes the crash?
Comment 3 rene 2009-11-17 00:16:12 UTC
Created attachment 38390 [details]
test file

the requested file

regards
Comment 4 Dario Andres 2009-11-18 01:44:21 UTC
*** Bug 215040 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2009-11-27 08:19:17 UTC
SVN commit 1054913 by cfeck:

Fix reading newer XCF colormapped files

The old GIMP XCF writer had a bug with writing the PROP_COLORMAP
property. Newer versions, however, fixed that bug, and we incorrectly
assumed the bug.

The fix is to read the number of colors from the property data,
and compute the final size from that. This is how the new Krita XCF
loader does it, too.

BUG: 214384


 M  +11 -2     xcf.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1054913
Comment 6 Christoph Feck 2009-11-27 08:21:18 UTC
SVN commit 1054914 by cfeck:

Fix reading newer XCF colormapped files (backport r1054913)

CCBUG: 214384


 M  +11 -2     xcf.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1054914
Comment 7 Christoph Feck 2010-01-25 22:35:54 UTC
*** Bug 218726 has been marked as a duplicate of this bug. ***